Summary: The Regex Coach - a graphical application used to experiment with Perl-style regular expressions interactively.
Name: regex-coach

Version: 0.8.3
Release: 1
License: Copyright Dr. Edmund Weitz
Group: Applications/Tools
Packager: Alex Wood <tawood3@gmail.com>
Url: http://www.weitz.de/regex-coach
Source:http://weitz.de/files/regex-coach.tgz
BuildRoot: /var/tmp/%{name}-%{version}-build
BuildArch: noarch

Requires: openmotif >= 2.2
BuildPrereq: desktop-file-utils >= 0.2.93

%description
%{name}: a graphical application which can be used to experiment with
Perl style regular expressions interactively.  It shows whether a regular
expression matches a particular target string; it can walk through a target
string one match at a time; and it can show which parts of a target string
belong to captured groups.  A must-have for Perl developers.

#Tell RPM not to run /usr/lib/rpm/find-debuginfo.sh
%define debug_package %{nil}

#RPM normally runs /usr/lib/rpm/redhat/brp-strip but it corrupts the executable 
#in this case.  The following define will disable the strip.
%define __spec_install_post /bin/true

#Define a directory to contain the desktop and icon files
%define resources resources

%prep
%setup -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin/
cp regex-coach $RPM_BUILD_ROOT%{_prefix}/bin

#Install the documenation
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/doc/
cp -r doc/ $RPM_BUILD_ROOT%{_prefix}/share/doc/regex-coach-0.8.3

#Install the desktop file
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/applications
desktop-file-install --vendor net --dir $RPM_BUILD_ROOT%{_prefix}/share/applications %{resources}/net-regex-coach.desktop

#Install the icon
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/pixmaps
install -m 644 %{resources}/regex-coach.png $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/regex-coach.png
    
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/regex-coach
%docdir %{_prefix}/share/doc/regex-coach-0.8.3
%doc %{_prefix}/share/doc/regex-coach-0.8.3/*.html
%doc %{_prefix}/share/doc/regex-coach-0.8.3/changelog.txt
%{_prefix}/share/doc/regex-coach-0.8.3/*.png
%{_prefix}/share/doc/regex-coach-0.8.3/*.gif
%{_prefix}/share/applications/net-regex-coach.desktop
%{_prefix}/share/pixmaps/regex-coach.png

